import {createRouter, createWebHashHistory} from "vue-router";
import {routes} from "./routes";
import { userStore } from "@/store/userStore";
// 创建路由实例并传递 `routes` 配置
const router = createRouter({
    // 4. 内部提供了 history 模式的实现。为了简单起见，我们在这里使用 hash 模式。
    history: createWebHashHistory(),
    routes, // `routes: routes` 的缩写
})
//路由的请求拦截器
router.beforeEach((to, from, next) => {
    const store = userStore()
    if (to.name == 'login') {
        //当回到登录页时，清空pinia
        store.$reset()
        next()
        return
    }
    if (store.loginUser.userRole == "notLogin") {
        router.back()
        return
    }
    if (store.loginUser.userRole != "notLogin") {
        next()
        return
    }
})
export default router
